
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 附件表
    /// </summary>
    [Description("附件表")]
    public class T_FO_CHANGE_SHIFT_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 交接班记录ID
        /// </summary>
        [Description("交接班记录ID")]
        [DataFieldForeignKey("Nav_ChangeShiftRecord", "Nav_Files")]
        public Guid CHANGE_SHIFT_RECORD_ID { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：交接班记录
        /// </summary>
        [Description("导航属性：交接班记录")]
        public T_FO_CHANGE_SHIFT_RECORD Nav_ChangeShiftRecord { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
